export declare class Lazy<T> {
  private readonly factory;
  private _value;
  constructor(factory: () => T);
  get value(): T;
}
export declare class AsyncLazy<T> {
  private readonly factory;
  private _value;
  constructor(factory: () => Promise<T>);
  getValueAsync(): Promise<T>;
}
